Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class JposDevCats.AbstractDevCat

    java.lang.Object
      |
      +--jpos.profile.JposDevCats.AbstractDevCat

All Implemented Interfaces:
  DevCat

Direct Known Subclasses:
  JposDevCats.BumpBar, JposDevCats.CashDrawer, JposDevCats.CAT, JposDevCats.CoinDispenser, JposDevCats.FiscalPrinter, JposDevCats.HardTotals, JposDevCats.Keylock, JposDevCats.LineDisplay, JposDevCats.MICR, JposDevCats.MSR, JposDevCats.Pinpad, JposDevCats.POSKeyboard, JposDevCats.POSPower, JposDevCats.POSPrinter, JposDevCats.RemoteOrderDisplay, JposDevCats.Scanner, JposDevCats.SignatureCapture, JposDevCats.ToneIndicator, JposDevCats.Unknown

Enclosing class:
  JposDevCats

public abstract static class JposDevCats.AbstractDevCat
extends java.lang.Object
implements DevCat

Defines the super class for all DevCat

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner classes inherited from class jpos.profile.DevCat
`DevCat.BumpBar, DevCat.CashDrawer, DevCat.CAT, DevCat.CoinDispenser, DevCat.FiscalPrinter, DevCat.HardTotals, DevCat.Keylock, DevCat.LineDisplay, DevCat.MICR, DevCat.MSR, DevCat.Pinpad, DevCat.POSKeyboard, DevCat.POSPower, DevCat.POSPrinter, DevCat.RemoteOrderDisplay, DevCat.Scanner, DevCat.SignatureCapture, DevCat.ToneIndicator`

Fields inherited from interface jpos.profile.DevCat
`JPOS_VERSION_STRING`

Constructor Summary
`JposDevCats.AbstractDevCat()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jpos.profile.DevCat
`accept`

Constructor Detail

### JposDevCats.AbstractDevCat

    public JposDevCats.AbstractDevCat()

Method Detail

### toString

    public abstract java.lang.String toString()

  Specified by:
    `toString` in interface `DevCat`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this DevCat

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object to compare to
  Returns:
    true if these two DevCat are the same JavaPOS device category

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details